<!--
SHARED SECRET CONFIGURATION EXAMPLE
This is a config file that can be used as a basis to set the Unicorn PowerShell remote API's shared secret 
without altering the stock config file. Duplicate this file and set a long, 32+ character secret to enable
invoking Unicorn with the PowerShell API, e.g. for CI.

IMPORTANT: THIS CONFIG PATCH *MUST* RUN AFTER Unicorn.UI.config, or you will receive an error:
"Unable to cast object of type 'System.String' to type 'Unicorn.ControlPanel.Security.IUnicornAuthenticationProvider'."

See the README here for more on setting up remote API: https://github.com/kamsar/Unicorn

Need some randomness? Try here: https://www.random.org/passwords/?num=5&len=24&format=html&rnd=new
-->
<configuration xmlns:patch="http://www.sitecore.net/xmlconfig/">
	<sitecore>
		<unicorn>
			<authenticationProvider>
				<SharedSecret>27XFDF10511A3566DA9AC2AD9ACD386AF99CD60A2A0E94BFA00245AE34C3D1A5</SharedSecret>
				<!-- 
					Writes the reason why failed automated tool authentications failed to the Sitecore logs.
					Will result in writing your shared secret to the logs as part of the signature base,
					so disable it unless you're debugging failed authentications.
				-->
				<WriteAuthFailuresToLog>true</WriteAuthFailuresToLog>
			</authenticationProvider>
		</unicorn>
	</sitecore>
</configuration>